Bug 862614 (CVE-2012-4466)

Summary: CVE-2012-4466 ruby: safe level bypass via name_err_mesg_to_str()
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: bkabrda, jrusnack, mfisher, mmcgrath, mmorsi, mtasaka, tagoh, vanmeeuwen+fedora, vdanen, vondruch
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20121002,reported=20121002,source=oss-security,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,rhel-5/ruby=notaffected,rhel-6/ruby=notaffected,fedora-16/ruby=notaffected,fedora-17/ruby=affected,openshift-1/ruby193=affected,openshift-enterprise-1/ruby193=affected,cwe=CWE-266
Fixed In Version: ruby 1.9.3p286, ruby 1.8.7p371 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-05 20:49:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 839530, 862907, 863315, 904021    
Bug Blocks: 767033, 862631    

Description Jan Lieskovsky 2012-10-03 07:47:46 EDT
Originally, Common Vulnerabilities and Exposures assigned an identifier CVE-2011-1005 to the following vulnerability:

The safe-level feature in Ruby 1.8.6 through 1.8.6-420, 1.8.7 through 1.8.7-330, and 1.8.8dev allows context-dependent attackers to modify strings via the Exception#to_s method, as demonstrated by changing an intended pathname.

Later it was reported:
[1] http://www.openwall.com/lists/oss-security/2012/10/02/4

that the Ruby name_err_mesg_to_str() method is vulnerable to the similar flaw.

Relevant upstream patch:
[2] http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=revision&revision=37068
Comment 2 Vincent Danen 2012-10-03 16:57:38 EDT
*** Bug 862906 has been marked as a duplicate of this bug. ***
Comment 3 Vincent Danen 2012-10-03 17:03:24 EDT
Created ruby tracking bugs for this issue

Affects: fedora-all [bug 862907]
Comment 9 errata-xmlrpc 2013-02-28 14:08:18 EST
This issue has been addressed in following products:

  RHEL 6 Version of OpenShift Enterprise

Via RHSA-2013:0582 https://rhn.redhat.com/errata/RHSA-2013-0582.html